Skip to navigation

Update WorkflowTaskSchema

Beta
Update WorkflowTaskSchema.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_task_schema_idstringRequired
ID of the WorkflowTaskSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional

Why it is being archived. Required when archived is true, and not allowed when unarchiving.

archivedbooleanOptional

Set to true to archive or false to unarchive it. Archiving requires archiveReason.

canOnlyBePartOfFlowchartbooleanOptional
Whether tasks of this schema can only exist as part of a flowchart.
canSetAssigneeOnTaskCreationbooleanOptional

Whether tasks of this schema can be created with a non-null assignee.

defaultCreationFolderIdstring or nullOptional
API ID of the default folder for creating workflow task groups.
defaultEntryExecutionFolderIdstring or nullOptional
API ID of the default folder for workflow task execution entries.
defaultResponsiblePartyIdslist of stringsOptional
API IDs of the default responsible parties for tasks of this schema.
isPropagateWatchersEnabledbooleanOptional
Whether watchers are propagated for tasks of this schema.
namestringOptional

Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.

prefixstringOptional
The prefix for the displayId of tasks of this schema.
systemNamestringOptional

Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization. Changing it requires warehouse table-name changes to be enabled for the caller; otherwise the update fails with a validation error. Supplying the schema’s exact current system name always succeeds.

taskGroupInstructionsstring or nullOptional
The instructions for task groups of this schema.
taskGroupPrefixstringOptional
The prefix for the displayId of task groups containing tasks of this schema.
workflowOutputSchemaobjectOptional
The output schema configuration for tasks of this schema.
displayNamestringOptionalDeprecated
Deprecated. Use name instead.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
canOnlyBePartOfFlowchartbooleanOptional
canSetAssigneeOnTaskCreationbooleanOptional

Whether or not tasks of this schema can be created with a non-null assignee.

createdAtstringOptionalformat: "datetime"
defaultCreationFolderobject or nullOptional
ID of the default folder for creating workflow task groups
defaultEntryExecutionFolderobject or nullOptional
ID of the default folder for workflow task execution entries
entryTemplateobject or nullOptional
The ID of the template of the entries tasks of this schema will be executed into.
executionTypeenumOptional
The method by which instances of this schema are executed
fieldDefinitionsstringOptionalformat: "uri"
idstringOptional
isPropagateWatchersEnabledbooleanOptional
modifiedAtstringOptionalformat: "datetime"
namestringOptional
organizationobjectOptional
The organization that owns the schema.
prefixstringOptional
The prefix for the displayId of tasks of this schema.
systemNamestringOptional
A unique, stable identifier for this schema used for programmatic access and integrations.
taskGroupInstructionsstring or nullOptional
The instructions for task groups of this schema
taskGroupPrefixstringOptional
The prefix for the displayId of task groups containing tasks of this schema
validationRulesstringOptionalformat: "uri"
workflowOutputSchemaobject or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error